Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Attributes Class Reference

ACEXML_Attributes defines a collection of attributes of an XML element. More...

`#include "ACEXML/common/Attributes.h"`

Inheritance diagram for ACEXML_Attributes:

[legend]
List of all members.

## Public Methods
virtual int | getIndex (const ACEXML_Char *qName)=0
| Look up the index of an attribute by XML 1.0 qualified name. More...
virtual int | getIndex (const ACEXML_Char *uri, const ACEXML_Char *localPart)=0
| Look up the index of an attribute by Namespace name. More...
virtual size_t | getLength (void)=0
| Return the number of attributes in the list. More...
virtual const ACEXML_Char * | getLocalName (size_t index)=0
| Look up an attribute's local name by index. More...
virtual const ACEXML_Char * | getQName (size_t index)=0
| Look up an attribute's XML 1.0 qualified name by index. More...
virtual const ACEXML_Char * | getType (size_t index)=0
| Look up an attribute's type by index. More...
virtual const ACEXML_Char * | getType (const ACEXML_Char *qName)=0
| Look up an attribute's type by XML 1.0 qualified name. More...
virtual const ACEXML_Char * | getType (const ACEXML_Char *uri, const ACEXML_Char *localPart)=0
| Look up an attribute's type by Namespace name. More...
virtual const ACEXML_Char * | getURI (size_t index)=0
| Look up an attribute's Namespace URI by index. More...
virtual const ACEXML_Char * | getValue (size_t index)=0
| Look up an attribute's value by index. More...
virtual const ACEXML_Char * | getValue (const ACEXML_Char *qName)=0
| Look up an attribute's value by XML 1.0 qualified name. More...
virtual const ACEXML_Char * | getValue (const ACEXML_Char *uri, const ACEXML_Char *localPart)=0
| Look up an attribute's value by Namespace name. More...

## Detailed Description

ACEXML_Attributes defines a collection of attributes of an XML element.

This is an abstract class (interface in Java) that defines the API for accessing attributes of an XML entity.

This interface allows access to a list of attributes in three different ways:

- by attribute index;
- by Namespace-qualified name; or
- by qualified (prefixed) name.

The list will not contain attributes that were declared IMPLIED but not specified in the start tag. It will also not contain attributes used as Namespace declarations (xmlns*) unless the http://xml.org/sax/features/namespace-prefixes feature is set to true (it is false by default).

If the namespace-prefixes feature (see above) is false, access by qualified name may not be available; if the http://xml.org/sax/features/namespaces feature is false, access by Namespace-qualified names may not be available.

This interface replaces the now-deprecated SAX1 AttributeList interface, which does not contain Namespace support. In addition to Namespace support, it adds the getIndex methods (below).

The order of attributes in the list is unspecified, and will vary from implementation to implementation.

## Member Function Documentation

virtual int ACEXML_Attributes::getIndex | ( | const ACEXML_Char * | uri,
|  | const ACEXML_Char * | localPart
| ) | `[pure virtual]`

| Look up the index of an attribute by Namespace name. Reimplemented in ACEXML_AttributesImpl.

virtual int ACEXML_Attributes::getIndex | ( | const ACEXML_Char * | qName | ) | `[pure virtual]`

| Look up the index of an attribute by XML 1.0 qualified name. Reimplemented in ACEXML_AttributesImpl.

virtual size_t ACEXML_Attributes::getLength | ( | void |  | ) | `[pure virtual]`

| Return the number of attributes in the list. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getLocalName | ( | size_t | index | ) | `[pure virtual]`

| Look up an attribute's local name by index. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getQName | ( | size_t | index | ) | `[pure virtual]`

| Look up an attribute's XML 1.0 qualified name by index. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getType | ( | const ACEXML_Char * | uri,
|  | const ACEXML_Char * | localPart
| ) | `[pure virtual]`

| Look up an attribute's type by Namespace name. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getType | ( | const ACEXML_Char * | qName | ) | `[pure virtual]`

| Look up an attribute's type by XML 1.0 qualified name. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getType | ( | size_t | index | ) | `[pure virtual]`

| Look up an attribute's type by index. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getURI | ( | size_t | index | ) | `[pure virtual]`

| Look up an attribute's Namespace URI by index. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getValue | ( | const ACEXML_Char * | uri,
|  | const ACEXML_Char * | localPart
| ) | `[pure virtual]`

| Look up an attribute's value by Namespace name. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getValue | ( | const ACEXML_Char * | qName | ) | `[pure virtual]`

| Look up an attribute's value by XML 1.0 qualified name. Reimplemented in ACEXML_AttributesImpl.

virtual const ACEXML_Char* ACEXML_Attributes::getValue | ( | size_t | index | ) | `[pure virtual]`

| Look up an attribute's value by index. Reimplemented in ACEXML_AttributesImpl.

The documentation for this class was generated from the following file:

- Attributes.h